Tamio

Update a custom attribute

POST https://api.tamio.com/v2/products/custom-attributes/update/{uuid}

Path Parameters

uuid string*

Body Parameters

label object*

Multilingual labels (1–10 languages, up to 128 chars each)

text boolean*

Whether the attribute includes a text value format

link boolean*

Whether the attribute includes a link/URL format

image boolean*

Whether the attribute is an image-based feature

feature boolean*

Whether the attribute acts as a feature tag

Responses

200 Custom attribute updated successfully

Custom attribute updated successfully

status integer
custom_attribute CustomAttribute
400 Bad request. Possible `error_code` values:
401 Missing or invalid API key
/products/custom-attributes/update/{uuid}
1const response = await fetch("https://api.tamio.com/v2/products/custom-attributes/update/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "label": {},
9 "text": true,
10 "link": false,
11 "image": false,
12 "feature": true
13 })
14});
15const data = await response.json();
Responses
{
  "status": 200,
  "custom_attribute": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "integer_id": 456,
    "label": {
      "en": "Material",
      "de": "Material",
      "fr": "Matériau"
    },
    "text": true,
    "link": false,
    "image": false,
    "feature": true
  }
}